Subject: RE: bug#36826: 26.1; request: add variable value editing feature to the *Help* buffer

From: Drew Adams <[email-masked]>
Date: Sun, 28 Jul 2019 21:35:32 -0700 (PDT)

> > I think this sounds useful.  I'm often rooting around not quite sure
> > what variable I'm looking for in the help buffers, and trying
> > different values, and having a command to make this faster would be nice.
> > There's `customize-variable', but I...  just don't like it.  (And besides,
> > not all variables are customisable...)
> 
> There's also M-x set-variable, which inserts the current value of the
> variable when you type M-n.  Perhaps all that's needed is for
> set-variable to also detect the variable described in the current
> *Help*
> buffer, and offer it as one of the default variables to set, following
> the value of variable-at-point (which is the current default).

I mentioned `set-variable'.  But it is only for
user options.  (And there is already a link to
Customize for the variable being described.)

And there's `M-: (setq...)`.  But for that what's
missing is the ability to insert buffer text (e.g.
a variable name at point) into the minibuffer.
(See the discussion in bug #36525 about that.)

And see discussions in emacs-devel:
2017, "custom-set-variables considered harmful",
2011, "set-variable and defcustom",
2010, "`set-variable' should use :set",
2007, "customize-set-(value|variable)",
2007, "apropos commands for commands, user options, all functions, all variables".